Assets
Get asset by ID
Retrieves a single asset by its ID.
GET
/
api
/
assets
/
{id}
Get asset by ID
curl --request GET \
--url https://{baseUrl}/api/v1/api/assets/{id}import requests
url = "https://{baseUrl}/api/v1/api/assets/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/assets/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"value": "<string>",
"targetId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tag": "<string>",
"tool": {
"id": "<string>",
"name": "<string>"
}
}
],
"ipAddresses": [
"<string>"
],
"isEnabled": true,
"isPrimary": true,
"dnsRecords": {},
"httpResponses": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z",
"tls": {
"host": "<string>",
"port": "<string>",
"probe_status": true,
"tls_version": "<string>",
"cipher": "<string>",
"not_before": "<string>",
"not_after": "<string>",
"subject_dn": "<string>",
"subject_cn": "<string>",
"subject_an": [
"<string>"
],
"serial": "<string>",
"issuer_dn": "<string>",
"issuer_cn": "<string>",
"issuer_org": [
"<string>"
],
"fingerprint_hash": {},
"wildcard_certificate": true,
"tls_connection": "<string>",
"sni": "<string>"
},
"port": "<string>",
"url": "<string>",
"input": "<string>",
"title": "<string>",
"scheme": "<string>",
"webserver": "<string>",
"body": "<string>",
"content_type": "<string>",
"method": "<string>",
"host": "<string>",
"path": "<string>",
"favicon": "<string>",
"favicon_md5": "<string>",
"favicon_url": "<string>",
"header": {},
"raw_header": "<string>",
"request": "<string>",
"time": "<string>",
"a": [
"<string>"
],
"tech": [
"<string>"
],
"words": 123,
"lines": 123,
"status_code": 123,
"content_length": 123,
"failed": true,
"knowledgebase": {
"PageType": "<string>",
"pHash": 123
},
"resolvers": [
"<string>"
],
"chain_status_codes": [
"<string>"
],
"assetServiceId": "<string>",
"jobHistoryId": "<string>",
"techList": [
"<string>"
]
},
"port": 123,
"screenshotPath": {}
}Headers
Workspace ID
Path Parameters
Response
200 - application/json
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Get asset by ID
curl --request GET \
--url https://{baseUrl}/api/v1/api/assets/{id}import requests
url = "https://{baseUrl}/api/v1/api/assets/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{baseUrl}/api/v1/api/assets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{baseUrl}/api/v1/api/assets/{id}"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"value": "<string>",
"targetId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tags": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"tag": "<string>",
"tool": {
"id": "<string>",
"name": "<string>"
}
}
],
"ipAddresses": [
"<string>"
],
"isEnabled": true,
"isPrimary": true,
"dnsRecords": {},
"httpResponses": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"timestamp": "2023-11-07T05:31:56Z",
"tls": {
"host": "<string>",
"port": "<string>",
"probe_status": true,
"tls_version": "<string>",
"cipher": "<string>",
"not_before": "<string>",
"not_after": "<string>",
"subject_dn": "<string>",
"subject_cn": "<string>",
"subject_an": [
"<string>"
],
"serial": "<string>",
"issuer_dn": "<string>",
"issuer_cn": "<string>",
"issuer_org": [
"<string>"
],
"fingerprint_hash": {},
"wildcard_certificate": true,
"tls_connection": "<string>",
"sni": "<string>"
},
"port": "<string>",
"url": "<string>",
"input": "<string>",
"title": "<string>",
"scheme": "<string>",
"webserver": "<string>",
"body": "<string>",
"content_type": "<string>",
"method": "<string>",
"host": "<string>",
"path": "<string>",
"favicon": "<string>",
"favicon_md5": "<string>",
"favicon_url": "<string>",
"header": {},
"raw_header": "<string>",
"request": "<string>",
"time": "<string>",
"a": [
"<string>"
],
"tech": [
"<string>"
],
"words": 123,
"lines": 123,
"status_code": 123,
"content_length": 123,
"failed": true,
"knowledgebase": {
"PageType": "<string>",
"pHash": 123
},
"resolvers": [
"<string>"
],
"chain_status_codes": [
"<string>"
],
"assetServiceId": "<string>",
"jobHistoryId": "<string>",
"techList": [
"<string>"
]
},
"port": 123,
"screenshotPath": {}
}